Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.osgi
Class BundleFreemarkerManager

    java.lang.Object
      org.apache.struts2.views.freemarker.FreemarkerManager
          org.apache.struts2.osgi.BundleFreemarkerManager

    public class BundleFreemarkerManager

extends FreemarkerManager

This class extends FreemarkerManager in core to add a template loader (that finds resources inside bundles) to MultiTemplateLoader

Field Summary

Fields inherited from class org.apache.struts2.views.freemarker.FreemarkerManager
`altMapWrapper, ATTR_TEMPLATE_MODEL, cacheBeanWrapper, config, CONFIG_SERVLET_CONTEXT_KEY, contentType, debug, DEFAULT_CONTENT_TYPE, encoding, EXPIRATION_DATE, INITPARAM_CONTENT_TYPE, INITPARAM_DEBUG, INITPARAM_NOCACHE, INITPARAM_TEMPLATE_PATH, KEY_APPLICATION, KEY_APPLICATION_PRIVATE, KEY_EXCEPTION, KEY_HASHMODEL_PRIVATE, KEY_INCLUDE, KEY_JSP_TAGLIBS, KEY_REQUEST, KEY_REQUEST_PARAMETERS, KEY_REQUEST_PARAMETERS_STRUTS, KEY_REQUEST_PRIVATE, KEY_SESSION, mruMaxStrongSize, nocache, noCharsetInContentType, oldTagLibraries, tagLibraries, templatePath, templateUpdateDelay, wrapper`

Constructor Summary
`BundleFreemarkerManager()`

Method Summary
`protected freemarker.cache.TemplateLoader` | `createTemplateLoader(javax.servlet.ServletContext servletContext, String templatePath)`

Methods inherited from class org.apache.struts2.views.freemarker.FreemarkerManager
`addSetting, buildScopesHashModel, buildTemplateModel, configureTemplateLoader, createConfiguration, createObjectWrapper, getConfig, getConfiguration, getContentType, getDebug, getNocache, getNoCharsetInContentType, getTemplatePath, getWrapper, init, loadSettings, populateContext, setCacheBeanWrapper, setContainer, setEncoding, setFileManagerFactory, setMruMaxStrongSize, setTemplateUpdateDelay, setThemeTemplateLoader, setWrapperAltMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleFreemarkerManager

    public BundleFreemarkerManager()

Method Detail

### createTemplateLoader

    protected freemarker.cache.TemplateLoader createTemplateLoader(javax.servlet.ServletContext servletContext,
                                                                   String templatePath)

  Overrides:
    `createTemplateLoader` in class `FreemarkerManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.